/* For the roll messages */


.acariaempire.dice-roll.roll-message {
    flex-direction: column;
}

/* ------------------------------------------
             First line 
   ------------------------------------------ */
  
.acariaempire.dice-roll .roll-message-actor-line {
    justify-content: space-between;
    margin-top: 1px;
    flex: 0 0 60px;
}


.acariaempire.dice-roll .roll-message-source-img {
    flex: 0 0 50px;
    height: 55px;
    margin-right: 5px;
    border: none;
}

/* Interaction name */

.acariaempire.dice-roll .roll-message-description {
	justify-content: center;
	align-items: center;
}
.acariaempire.dice-roll .roll-message-description:hover {
    box-shadow: 0 0 5px darkblue inset;
}


.acariaempire.dice-roll .roll-message-description p {
    text-align: center;
    font-weight: bold;
    margin: 0px;
    font-size: 1.2em;
    margin-left: -10px;
    min-height: fit-content;
}

.acariaempire.dice-roll .roll-message-description p.title {
    font-size: 1.5em;
    -webkit-text-fill-color: lightgrey;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: black;
}


/* Token history */

.acariaempire.dice-roll .roll-summary {
    justify-content: space-evenly;
    align-items: center;
}

.acariaempire.dice-roll .roll-summary:hover {
    box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.dice-roll .roll-summary .summary-icon {
    flex: unset;
    width: 35px;
    border: none;
}

/* ------------------------------------------
        Interaction result
   ------------------------------------------ */
.acariaempire.dice-roll .ae-formula {
    margin-top: 5px;
    line-height: 30px;;
}
.acariaempire.dice-roll .ae-formula:hover {
    box-shadow: 0 0 5px darkblue inset;
}

.acariaempire.dice-roll .dice-formula.success {
    background-color: lightyellow;
}
.acariaempire.dice-roll .dice-formula.bigsuccess {
    background-color: lightgreen;
}
.acariaempire.dice-roll .dice-formula.incredible {
    background-color: lightskyblue;
}
.acariaempire.dice-roll .dice-formula.failure {
    background-color: lightsalmon;
}
.acariaempire.dice-roll .dice-formula.bigfailure {
    background-color: lightcoral;
}
.acariaempire.dice-roll .dice-formula.automatic-failure {
    background-color: gray;
}


/* ------------------------------------------
        Roll details
   ------------------------------------------ */
.acariaempire.dice-roll .roll-detail {
    display: block;
}

.acariaempire.dice-roll .roll-detail .dice-rolls {
    list-style: none;
    margin: 5px 0;
    padding: 0;
    overflow: hidden;    
}

.acariaempire.dice-roll .roll-detail .ae-roll {
    position: relative;
    width: 24px;
    line-height: 24px;
    float: left;
    margin-right: 1px;
    background-image: none;
    background-repeat: no-repeat;
    background-size: 24px 24px;
    font-size: 16px;
    color: #000;
    font-weight: bold;
    text-align: center;
}
.acariaempire.dice-roll .roll-detail .ae-roll.lineTitle {
    width: 45px;
    text-align: left;
    font-size: 0.8em;
}
.acariaempire.dice-roll .roll-detail .ae-roll.lineResult {
    text-align: left;
    font-size: 0.8em;
}


.acariaempire.dice-roll .roll-message-token {
    border: none;
}

/* ------------------------------------------
        Roll context
   ------------------------------------------ */
.acariaempire.dice-roll .roll-context {
    justify-content: space-around;
}

.acariaempire.dice-roll .roll-context .context-part {
    min-width: 260px;
    margin: 5px;
    padding: 3px;
    justify-content: space-between;
    align-items: center;
    border: 2px groove whitesmoke;
}

.acariaempire.dice-roll .roll-context .context-part .context-header {
    flex: unset;
    text-align: center;
    margin-bottom: 5px;
    justify-content: center;
}

.acariaempire.dice-roll .roll-context .context-part .context-text {
    flex: unset;
    text-align: center;
    line-height: 24px;
}
.acariaempire.dice-roll .roll-context .context-part .context-detail {
    flex: unset;
    text-align: center;
    font-style: italic;
    font-size: 0.8em;
    justify-content: center;
    min-width: -webkit-fill-available;
}


/** Retrieved from interaction */
.acariaempire.dice-roll .roll-context .context-part .choice-inner-image {
    flex: unset;
    border: none;
    max-height: 40px;
}
.acariaempire.dice-roll .roll-context .context-part .choice-inner-image.small {
    padding: 5px;
}
.acariaempire.dice-roll .roll-context .context-part .choice-inner-text {
    flex: unset;
}
.acariaempire.dice-roll .roll-context .context-part .choice-inner-text.next-to-img {
    line-height: 40px;
    padding-left: 10px;
}
.acariaempire.dice-roll .roll-context .context-part .choice-inner-text.first-line {
    line-height: 25px;
    min-width: 100%;
}



.acariaempire.dice-roll .roll-context .context-part .context-desc {
    justify-content: space-evenly;
    min-width: 90px;
}


.acariaempire.dice-roll .context-desc .token-icon {
    flex: unset;
    height: 24px;
    border: none;
}


/* ------------------------------------------
        Cards and other consequences
   ------------------------------------------ */

.acariaempire.dice-roll .consequence {
    flex-wrap: wrap;
    align-items: center;
    margin-left: 20px;
}

.acariaempire.dice-roll .consequence.with-overlay {
    margin-bottom: 2px;
}

.acariaempire.dice-roll .consequence p {
    max-width: 180px;
}

.acariaempire.dice-roll .consequence .portrait {
    flex: 0 0 55px;
    height: 55px;
    width: 55px;
    margin-right: 10px;
    border: none;
}

.acariaempire.dice-roll .consequence .portrait-overlay {
    flex: 0 0 55px;
    height: 55px;
    width: 55px;
    margin-left: -65px;
    margin-right: 10px;
    border: none;
}

.acariaempire.dice-roll .consequence .portrait-minor-overlay {
    flex: 0 0 35px;
    height: 35px;
    width: 35px;
    margin-top: 20px;
    margin-left: -40px;
    margin-right: 10px;
    border: none;
}

.acariaempire.dice-roll .consequence .consequence-icon {
    flex: 0 0 30px;
    height: 30px;
    width: 30px;
    margin-left: 5px;
    border: none;    
}

.acariaempire.dice-roll .consequence.reduced-title {
    font-size: 0.8em;  
}

.acariaempire.dice-roll .consequence.clickable {
    max-height: 55px; 
}

.acariaempire.dice-roll .consequence.clickable:hover {
    cursor: pointer;
    box-shadow: 0 0 5px darkblue inset;
}

/* ------------------------------------------
             New resume
   ------------------------------------------ */
  
.acariaempire.dice-roll .sumup {
    align-items: center;
}

.acariaempire.dice-roll .sumup h3 {
    margin-top: 10px;
    margin-bottom: 5px;
}

.acariaempire.dice-roll .sumup tr {
    min-width: 10px;
}

.acariaempire.dice-roll .sumup td {
    text-align: center;
}

.acariaempire.dice-roll .sumup .icon-line {
    justify-content: space-evenly;
    align-items: center;
}

.acariaempire.dice-roll .sumup .icon-line img {
    border: none;
    height: 20px;
    max-width: 20px;
}

.acariaempire.dice-roll .sumup .icon-line span {
    flex: unset;
}


